#ifndef _REMOTEXY_H_
#define _REMOTEXY_H_


/* укажите используемый Serial */
#define REMOTEXY_SERIAL Serial


/* структура определяет все переменные вашего интерфейса управления */
typedef struct {
  
    /* input variable */
  unsigned char slider_left; /* =0..100 положение слайдера */
  unsigned char slider_right; /* =0..100 положение слайдера */
  unsigned char slider_head; /* =0..100 положение слайдера */
  unsigned char button_left; /* =1 если кнопка нажата, иначе =0 */
  unsigned char button_right; /* =1 если кнопка нажата, иначе =0 */
  unsigned char switch_1; /* =1 если переключатель включен и =0 если отключен */

    /* other variable */
  unsigned char connect_flag;  /* =1 if wire connected, else =0 */

} RemoteXY_TypeDef;

/* эту переменную необходимо использовать для передачи данных */
extern RemoteXY_TypeDef RemoteXY;


void RemoteXY_Init (void);
void RemoteXY_Handler (void);

#endif //_REMOTEXY_H_
